using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Examples5_13
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples7_10.TestCompatibility();
            Examples7_10.CreateAndInvokeMethod("Examples5_13.Test", "DoSomething", "Witaj,", "świecie!");
            Example11.CreateAndInvokeMethod("Examples5_13.Test", "DoSomething", "Witaj,", "świecie!");
            Examples12_13.UseCustomReflectionContext();
        }
    }

    class Test
    {
        public void DoSomething(string arg1, object arg2)
        {
            Console.WriteLine(arg1 + " " + arg2);
        }
    }
}
